ONVIF::PTZ::Types::ImagingSettingsExtension202(3pm)

NAME
ONVIF::PTZ::Types::ImagingSettingsExtension202

DESCRIPTION
Perl data type class for the XML Schema defined complexType ImagingSettingsExtension202 from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   IrCutFilterAutoAdjustment

•   Extension

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::PTZ::Types::ImagingSettingsExtension202
   IrCutFilterAutoAdjustment =>  { # ONVIF::PTZ::Types::IrCutFilterAutoAdjustment
     BoundaryType =>  $some_value, # string
     BoundaryOffset =>  $some_value, # float
     ResponseTime =>  $some_value, # duration
     Extension =>  { # ONVIF::PTZ::Types::IrCutFilterAutoAdjustmentExtension
     },
   },
   Extension =>  { # ONVIF::PTZ::Types::ImagingSettingsExtension203
   },
 },

AUTHOR
Generated by SOAP::WSDL